Bug 173854 - Bring media mountpoints up to date
Summary: Bring media mountpoints up to date
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: filesystem   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Mike McLean
URL:
Whiteboard: bzcl34nup
Keywords: Patch, Reopened, Triaged
Depends On:
Blocks: FC5Target F13Target
TreeView+ depends on / blocked
 
Reported: 2005-11-21 22:09 UTC by Ville Skyttä
Modified: 2010-04-08 08:37 UTC (History)
4 users (show)

Fixed In Version: filesystem-2.4.34-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-08 08:37:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bring media mountpoints up to date (2.17 KB, patch)
2005-11-21 22:09 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2005-11-21 22:09:58 UTC
Here's a quick patch that removes the obsolete/unused /mnt/* mountpoints and  
adds the corresponding and new ones in /media/* from FHS.  (And while at it, 
converts specfile to UTF-8.)

Comment 1 Ville Skyttä 2005-11-21 22:09:59 UTC
Created attachment 121319 [details]
Bring media mountpoints up to date

Comment 2 Bill Nottingham 2005-11-21 22:17:49 UTC
/media/XXXX is created by HAL, I wouldn't want to own them.

Comment 3 Ville Skyttä 2005-11-21 23:12:42 UTC
What about still owning /mnt/floppy and /mnt/cdrom, specfied in the specfile 
in a way that looks very much to me as taking care of things being created at 
runtime by something? 

Comment 4 Red Hat Bugzilla 2007-02-05 19:30:38 UTC
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.

Comment 5 Bug Zapper 2008-04-03 16:38:49 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 6 Ville Skyttä 2008-04-05 06:04:20 UTC
(See comment 3)

Comment 7 Bug Zapper 2008-05-14 02:03:51 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2009-06-09 22:05:02 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Ondrej Vasik 2009-07-07 12:37:51 UTC
Changing to rawhide again to prevent autoclosing again, I'll take a look if something really depends on those ghosted dirs later.

Comment 10 Bug Zapper 2009-11-16 07:50:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Christopher Beland 2010-02-25 19:53:28 UTC
"rpm -qRa |grep /mnt" turns up nothing, at least for the packages in the Fedora 12 Desktop Spin.  Not sure if there's an easy way to confirm *nothing* depends on these packages without installing Everything (or the source code to all packages, to be incredibly thorough).

Comment 12 Ondrej Vasik 2010-03-16 11:55:40 UTC
I think this way of dependency search is not usable - as the filesystem package is always installed. From what I have seen, /mnt/cdrom and /mnt/floppy is referenced on few places - like /etc/security/console.perms.d/50-default.perms from pam.

Anyway - those dirs are ghosted, so not created automatically - so the biggest possible harm is an unowned directory (which already happens with /media/XXXX dirs).

I see two (correct) possibilities - 
1) to own the basic four /media/XXXX directories from fhs (http://www.pathname.com/fhs/pub/fhs-2.3.html#MEDIAMOUNTPOINT) in filesystem and rest possibly created dirs in media owned by hal
2) to own all possible /media/xxxx subdirs created by hal directly in hal

Or to stay with the current situation (just with /mnt/xxxx subdirs dropped from filesystem package)

Comment 13 Ondrej Vasik 2010-04-08 08:37:56 UTC
Well, the bigger possible harm is strikeback of https://bugzilla.redhat.com/show_bug.cgi?id=52046 ... after upgrade. If someone uses /mnt/cdrom or /mnt/floppy as location for floppy/cdrom mounts points, those empty dirs will get removed after this filesystem update. However - media dirs are now more in use and I do plan to do that in rawhide only (and just once). So let's see... dropped ownership in filesystem-2.4.34-1.fc14. Closing RAWHIDE.


Note You need to log in before you can comment on or make changes to this bug.